<!DOCTYPE html>
<html>
  <head>
    <meta charset="UTF-8">
    <title>SendStrategy</title>
    <link href='http://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,700,300italic,400italic,700italic|Source+Code+Pro:300,400,700' rel='stylesheet' type='text/css'>
<link rel="stylesheet" href="../assets/css/bootstrap.css">
<link rel="stylesheet" href="../assets/css/jquery.bonsai.css">
<link rel="stylesheet" href="../assets/css/main.css">
<link rel="stylesheet" href="../assets/icon-font/icons.css">
<script type="text/javascript" src="../assets/js/jquery-2.1.0.min.js"></script>
<script type="text/javascript" src="../assets/js/bootstrap.js"></script>
<script type="text/javascript" src="../assets/js/jquery.bonsai.js"></script>

  </head>
  <body>
    <div>

      <!-- Name Title -->

      <h1>SendStrategy</h1>

      <!-- Type and Stereotype -->

      <section style="margin-top: .5em;">
        <span class="alert alert-info">
          <span class="node-icon staruml-icon icon-UMLInterface"></span>
          UMLInterface
        </span>
        
      </section>

      <!-- Path -->

      <section style="margin-top: 10px">
        
        
        
          
          <span class="label label-info"><a href='cf9c8b720f3815adeccaf3ef6e48c6c4.html'><span class='node-icon staruml-icon icon-Project'></span>Untitled</a></span>
        
          <span>::</span>
          <span class="label label-info"><a href='594af663de577680f35b13183109d675.html'><span class='node-icon staruml-icon icon-UMLModel'></span>Model</a></span>
        
          <span>::</span>
          <span class="label label-info"><a href='432a0a743da6533a801caf4a95cff1aa.html'><span class='node-icon staruml-icon icon-UMLInterface'></span>SendStrategy</a></span>
        
      </section>

      <!-- Diagram -->

      

      <!-- Description -->

      
      <section>
        <h3>Description</h3>
        <div>
          
            <span class="label label-info">none</span>
          
        </div>
      </section>
      

      <!-- Specification -->

      

      <!-- Directed Relationship -->

      

      <!-- Undirected Relationship -->

      

      <!-- Classifier -->

      
        
        


        
        
<section class="element-list">
    <h3>Specialized Elements</h3>
    <ul class="nav nav-list">
        
        <li><a href='583126819a8f9b91b0aaf4fdf81936c6.html'><span class='node-icon staruml-icon icon-UMLClass'></span>SendInComing</a></li>
        
        <li><a href='45299381a99fd2a2b201cd935e0ca8fa.html'><span class='node-icon staruml-icon icon-UMLClass'></span>SendOutGoing</a></li>
        
        <li><a href='3c95dab850ab45a62e3d319dd1902601.html'><span class='node-icon staruml-icon icon-UMLClass'></span>SendNote</a></li>
        
    </ul>
</section>



        
        


        
        


        
        

      

      <!-- Interface -->

      
        
        

      

      <!-- Component -->

      

      <!-- Node -->

      

      <!-- Actor -->

      

      <!-- Use Case -->

      

      <!-- Template Parameters -->

      

      <!-- Literals -->

      

      <!-- Attributes -->

      

      <!-- Operations -->

      
      <section>
        <h3>Operations</h3>
        <table class="table table-striped table-bordered">
          <tr>
            <th>Visibility</th>
            <th>Name</th>
            <th>Description</th>
          </tr>
          
          <tr>
            <td>public</td>
            <td><a href="9bd03afc4a68d77ec42b01576a14fa0d.html">sendMessage(message: Message)</a></td>
            <td></td>
          </tr>
          
        </table>
      </section>
      

      <!-- Receptions -->

      

      <!-- Extension Points -->

      

      <!-- Parameters -->

      

      <!-- Diagrams -->

      
      

      <!-- Behavior -->

      

      <!-- Action -->

      

      <!-- Interaction -->

      

      <!-- CombinedFragment -->

      

      <!-- Activity -->

      

      <!-- State Machine -->

      

      <!-- State Machine -->

      

      <!-- State -->

      

      <!-- Vertex -->

      

      <!-- Transition -->

      

      <!-- Data Model (ERD) -->

      

      <!-- Columns (ERD) -->

      

      <!-- Related Entities (ERD) -->

      

      <!-- Data Flows (DFD) -->

      

      <!-- Flows (Flowchart) -->

      

      <!-- Properties -->

      <section>
        <h3>Properties</h3>
        
        <table class="table table-striped table-bordered">
    <tr>
        <th width="50%">Name</th>
        <th width="50%">Value</th>
    </tr>
    
    
    
    
    
    
    
    <tr>
        <td>name</td>
        <td>SendStrategy</td>
    </tr>
    
    
    
    
    
    
    
    
    
    
    
    <tr>
        <td>stereotype</td>
        <td><span class='label label-info'>null</span></td>
    </tr>
    
    
    
    
    
    <tr>
        <td>visibility</td>
        <td>public</td>
    </tr>
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    <tr>
        <td>isAbstract</td>
        <td><span class='label label-info'>false</span></td>
    </tr>
    
    
    
    
    
    <tr>
        <td>isFinalSpecialization</td>
        <td><span class='label label-info'>false</span></td>
    </tr>
    
    
    
    
    
    <tr>
        <td>isLeaf</td>
        <td><span class='label label-info'>false</span></td>
    </tr>
    
    
    
</table>                

      </section>

      <!-- Tags -->

      

      <!-- Constraints, Dependencies, Dependants -->

      
        
        


        
        


        
        

      

      <!-- Relationships -->

      
      
<section class="element-list">
    <h3>Relationships</h3>
    <ul class="nav nav-list">
        
        <li><a href='f17616bfb31a08f4cc59258729f31078.html'><span class='node-icon staruml-icon icon-UMLAssociation'></span>(SendStrategy—SendContext)</a></li>
        
        <li><a href='727de1ca9fc3a1500bb616e25db83e99.html'><span class='node-icon staruml-icon icon-UMLGeneralization'></span>(SendInComing→SendStrategy)</a></li>
        
        <li><a href='f96baa26c529acfb650cfd23b5b03f7a.html'><span class='node-icon staruml-icon icon-UMLGeneralization'></span>(SendOutGoing→SendStrategy)</a></li>
        
        <li><a href='223ee389cc24a7522095ee8d5e60c3e6.html'><span class='node-icon staruml-icon icon-UMLGeneralization'></span>(SendNote→SendStrategy)</a></li>
        
        <li><a href='33ea4ce61a830bd32c17dc2920ec62ce.html'><span class='node-icon staruml-icon icon-UMLAssociation'></span>(SendContext—SendStrategy)</a></li>
        
    </ul>
</section>



      <!-- Owned Elements -->

      
      
<section class="element-list">
    <h3>Owned Elements</h3>
    <ul class="nav nav-list">
        
        <li><a href='f17616bfb31a08f4cc59258729f31078.html'><span class='node-icon staruml-icon icon-UMLAssociation'></span>(SendStrategy—SendContext)</a></li>
        
    </ul>
</section>



    </div>
  </body>
</html>
